---
- hosts: tsw
  sudo: true
  vars:
    hostname: "tostartwork.com"
    dbuser: "tsw"
    dbpasswd: "fgk4UXkMm489fjU1m8x1Sf"
    database: "tsw"
    slanger_secret: "secret"
    slanger_key: "key"
    sites: [
      {
        hostname: "tostartwork.com",
        hostalias: "tostartwork.com",
        filesystem_root: "/var/www/api/public_html/",
        document_root: "/var/www/api/public_html/public",
        queue: True
      },
    ]
    install_db: "yes"
    install_web: "yes"
    install_hhvm: "no"
    install_mailcatcher: "no"
    install_beanstalkd: "yes"
    install_redis: "yes"
    install_nodejs: "no"
    install_javascript_build_system: "yes"
    install_phpmyadmin: "no"
    install_php_mssql: "no"
    install_gems: ["bundler", "slanger"]
    install_supervisor: "yes"
    install_zabbix_agent: "yes"
    php_configs: [
      { option: "upload_max_filesize", value: "100M" },
      { option: "post_max_size", value: "100M" }
    ]
  tasks:
    - include: ansible/tasks/tasks.yml
  handlers:
    - include: ansible/handlers/handlers.yml

